/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { ScatterTriangulationSeriesDescription } from "./ScatterTriangulationSeriesDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ScatterContourSeriesDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ScatterContourSeriesDescription, _super);
    function ScatterContourSeriesDescription() {
        var _this = _super.call(this) || this;
        _this.e3 = null;
        _this.e1 = null;
        _this.e2 = null;
        _this.ey = null;
        _this.ex = null;
        _this.ev = null;
        return _this;
    }
    ScatterContourSeriesDescription.prototype.get_type = function () {
        return "ScatterContourSeries";
    };
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "valueMemberPath", {
        get: function () {
            return this.e3;
        },
        set: function (a) {
            this.e3 = a;
            this.g("ValueMemberPath");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "valueMemberAsLegendLabel", {
        get: function () {
            return this.e1;
        },
        set: function (a) {
            this.e1 = a;
            this.g("ValueMemberAsLegendLabel");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "valueMemberAsLegendUnit", {
        get: function () {
            return this.e2;
        },
        set: function (a) {
            this.e2 = a;
            this.g("ValueMemberAsLegendUnit");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "fillScale", {
        get: function () {
            return this.ey;
        },
        set: function (a) {
            this.ey = a;
            this.g("FillScale");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "actualFillScale", {
        get: function () {
            return this.ex;
        },
        set: function (a) {
            this.ex = a;
            this.g("ActualFillScale");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ScatterContourSeriesDescription.prototype, "valueResolver", {
        get: function () {
            return this.ev;
        },
        set: function (a) {
            this.ev = a;
            this.g("ValueResolver");
        },
        enumerable: false,
        configurable: true
    });
    ScatterContourSeriesDescription.$t = markType(ScatterContourSeriesDescription, 'ScatterContourSeriesDescription', ScatterTriangulationSeriesDescription.$);
    return ScatterContourSeriesDescription;
}(ScatterTriangulationSeriesDescription));
export { ScatterContourSeriesDescription };
